// IcctSign.h: Routinen fr signierte Offerten

#define ICCT_KEYLENGTH 512


////////////////////////////////////////////////////////////////////////////////////////
// ICCT_GenerateKey():
// memory allocation by caller, 

HRESULT ICCT_GenerateKeys(UCHAR* pucPublicKey, int* cbPublicKey, UCHAR* pucPrivateKey,
						  int* cbPrivateKey, UCHAR* Seed,
						  int cbSeed = 0);

HRESULT ICCT_Signature(UCHAR* pucPrivateKey, int cbPrivateKey, UCHAR* pMessage,
					   ULONG cbMessage, /*[out]*/ UCHAR* pDigest, ULONG* pcbDigest);

HRESULT ICCT_Verify(UCHAR* pucPublicKey, int cbPublicKey, UCHAR* pMessage,
					ULONG cbMessage, /*[in]*/ UCHAR* pDigest, ULONG cbDigest);


HRESULT ICCT_CryptDigest(UCHAR* pucPublicKey, int cbPublicKey,
					/*[in]*/ UCHAR* pDigest, ULONG cbDigest,
					UCHAR * pOut, ULONG * cbOut);

HRESULT ICCT_DecryptDigest(UCHAR* pucPrivateKey, int cbPrivateKey,
					UCHAR * pIn, ULONG cbIn, UCHAR* pDigest, ULONG * cbDigest);
