package soplex.saferpay;

public interface IMessageFactory
{
	public MessageObject CreatePayInit() throws IDPException;
	public MessageObject VerifyPayConfirm(String Data, String Signature)
		throws IDPException;
	public MessageObject CreatePayComplete(String Id, String Token)
		throws IDPException;
	public MessageObject CreateRequest(String MsgType)
		throws IDPException;
	public void Open(String Path) throws IDPException;
};