// sxsort.h: sorting and finding functionality for SXFC project

#ifndef __SXSORT_H__
#define __SXSORT_H__

#include "sxobject.h"

class SxFindable : public SxObject
{
public:
	// SxObject
	ALLOC_IMPL(SxFindable);
	virtual SxObject& operator =(const SxObject& obj)
	{
		return assign(obj);
	}
	virtual bool isInstanceOf(const TCHAR *pszClass) const
	{
		if(!TCSCMP(pszClass, _T("SxFindable")))
			return true;

		return SxObject::isInstanceOf(pszClass);
	}

	virtual bool operator <(const SxFindable&) const { return false; }
	virtual bool operator ==(const SxFindable&) const { return false; }
};


#endif // __SXSORT_H__
