// idphttp.h

#ifndef __IDPHTTP_H__
#define __IDPHTTP_H__

#include "idptypes.h"
#include "idperr.h"

struct URL_INFO
{
	STRING Protocol;
	STRING UserName; 
	STRING Password;
	STRING Host;
	STRING Port;
	STRING Uri;
	STRING ProxyHost;
	STRING ProxyPort;
	STRING ProxySSL;
	STRING TraceOpt;
};

int SplitUrl(const STRING & url, URL_INFO & ui);
void HttpSession(const URL_INFO & ui, SxStringStream & out);


#endif // defined(__IDPHTTP_H__)


