package soplex.saferpay;

public class IDPException extends Exception {
	public IDPException(int hr, String ErrorMessage)
	{
		super();
		m_hr = hr;
		m_ErrorMessage = ErrorMessage;
	}
	public IDPException(String ErrorMessage)
	{
		super();
		m_hr = 0;
		m_ErrorMessage = ErrorMessage;
	}
	public IDPException()
	{
		super();
		m_hr = 0;
		m_ErrorMessage = new String("");
	}
	public void putHR(int hr)
	{
		m_hr = hr;
	}
	public void putErrorMessage(String ErrorMessage)
	{
		m_ErrorMessage = ErrorMessage;
	}
	public int getHR()
	{
		return m_hr;
	}
	public String getErrorMessage()
	{
		return m_ErrorMessage;
	}
	public String toString()
	{
		return m_ErrorMessage;
	}
	
	public int m_hr;
	public String m_ErrorMessage;
}
	
	